MyGUI::ScrollView Class Reference

widget description should be here. More...

`#include <MyGUI_ScrollView.h>`

Inheritance diagram for MyGUI::ScrollView:
[legend]

## Public Types

typedef RTTIBase | Base
typedef ScrollView | RTTIBase
Public Types inherited from MyGUI::Widget
typedef RTTIBase | Base
typedef Widget | RTTIBase
Public Types inherited from MyGUI::IObject
typedef IObject | RTTIBase

## Public Member Functions

virtual std::string_view | getTypeName () const override
virtual bool | isType (const std::type_info &_type) const override
template<typename Type>
bool | isType () const
| ScrollView ()
void | setPosition (const IntPoint &_point) override
void | setSize (const IntSize &_size) override
void | setCoord (const IntCoord &_coord) override
void | setVisibleVScroll (bool _value)
bool | isVisibleVScroll () const
void | setVisibleHScroll (bool _value)
bool | isVisibleHScroll () const
void | setCanvasAlign (Align _value)
Align | getCanvasAlign () const
void | setCanvasSize (const IntSize &_value)
void | setCanvasSize (int _width, int _height)
IntSize | getCanvasSize () const
IntCoord | getViewCoord () const
void | setViewOffset (const IntPoint &_value)
IntPoint | getViewOffset () const
void | setPosition (int _left, int _top)
void | setSize (int _width, int _height)
void | setCoord (int _left, int _top, int _width, int _height)
Public Member Functions inherited from MyGUI::Widget
template<typename Type>
bool | isType () const
Widget * | createWidgetT (std::string_view _type, std::string_view _skin, const IntCoord &_coord, Align _align, std::string_view _name={})
Widget * | createWidgetT (std::string_view _type, std::string_view _skin, int _left, int _top, int _width, int _height, Align _align, std::string_view _name={})
Widget * | createWidgetRealT (std::string_view _type, std::string_view _skin, const FloatCoord &_coord, Align _align, std::string_view _name={})
Widget * | createWidgetRealT (std::string_view _type, std::string_view _skin, float _left, float _top, float _width, float _height, Align _align, std::string_view _name={})
template<typename T>
T * | createWidget (std::string_view _skin, const IntCoord &_coord, Align _align, std::string_view _name={})
template<typename T>
T * | createWidget (std::string_view _skin, int _left, int _top, int _width, int _height, Align _align, std::string_view _name={})
template<typename T>
T * | createWidgetReal (std::string_view _skin, const FloatCoord &_coord, Align _align, std::string_view _name={})
template<typename T>
T * | createWidgetReal (std::string_view _skin, float _left, float _top, float _width, float _height, Align _align, std::string_view _name={})
Widget * | createWidgetT (WidgetStyle _style, std::string_view _type, std::string_view _skin, const IntCoord &_coord, Align _align, std::string_view _layer={}, std::string_view _name={})
template<typename T>
T * | createWidget (WidgetStyle _style, std::string_view _skin, const IntCoord &_coord, Align _align, std::string_view _layer={}, std::string_view _name={})
void | setPosition (const IntPoint &_point) override
void | setSize (const IntSize &_size) override
void | setCoord (const IntCoord &_coord) override
void | setPosition (int _left, int _top)
void | setSize (int _width, int _height)
void | setCoord (int _left, int _top, int _width, int _height)
void | setRealPosition (const FloatPoint &_point)
void | setRealSize (const FloatSize &_size)
void | setRealCoord (const FloatCoord &_coord)
void | setRealPosition (float _left, float _top)
void | setRealSize (float _width, float _height)
void | setRealCoord (float _left, float _top, float _width, float _height)
const std::string & | getName () const
| Get name of widget.
virtual void | setVisible (bool _value)
bool | getVisible () const
void | setDepth (int _value)
int | getDepth () const
bool | getInheritedVisible () const
virtual void | setAlign (Align _value)
Align | getAlign () const
void | setAlpha (float _alpha)
float | getAlpha () const
void | setInheritsAlpha (bool _inherits)
bool | getInheritsAlpha () const
void | setColour (const Colour &_value)
bool | isRootWidget () const
Widget * | getParent () const
IntSize | getParentSize () const
EnumeratorWidgetPtr | getEnumerator () const
size_t | getChildCount () const
Widget * | getChildAt (size_t _index) const
Widget * | findWidget (std::string_view _name)
void | findWidgets (std::string_view _name, VectorWidgetPtr &_result)
virtual void | setEnabled (bool _value)
void | setEnabledSilent (bool _value)
bool | getEnabled () const
bool | getInheritedEnabled () const
IntCoord | getClientCoord () const
Widget * | getClientWidget ()
const Widget * | getClientWidget () const
void | detachFromWidget (std::string_view _layer={})
void | attachToWidget (Widget *_parent, WidgetStyle _style=WidgetStyle::Child, std::string_view _layer={})
void | changeWidgetSkin (std::string_view _skinName)
void | setWidgetStyle (WidgetStyle _style, std::string_view _layer={})
WidgetStyle | getWidgetStyle () const
void | setProperty (std::string_view _key, std::string_view _value)
virtual size_t | _getItemIndex (Widget *_item) const
void | _forcePick (Widget *_widget)
void | _initialise (WidgetStyle _style, const IntCoord &_coord, std::string_view _skinName, Widget *_parent, ICroppedRectangle *_croppedParent, std::string_view _name)
void | _shutdown ()
void | _destroyChildWidget (Widget *_widget)
void | _setContainer (Widget *_value)
Widget * | _getContainer () const
void | _setAlign (const IntSize &_oldsize, const IntSize &_newSize)
bool | _checkPoint (int _left, int _top) const
Widget * | _createSkinWidget (WidgetStyle _style, std::string_view _type, std::string_view _skin, const IntCoord &_coord, Align _align, std::string_view _layer={}, std::string_view _name={})
virtual void | _resetContainer (bool _update)
bool | _setWidgetState (std::string_view _state)
void | _updateChilds ()
Public Member Functions inherited from MyGUI::IObject
template<typename Type>
bool | isType () const
template<typename Type>
Type * | castType (bool _throw=true)
template<typename Type>
const Type * | castType (bool _throw=true) const
virtual | ~IObject ()=default
Public Member Functions inherited from MyGUI::ICroppedRectangle
virtual | ~ICroppedRectangle ()=default
ICroppedRectangle * | getCroppedParent ()
IntPoint | getPosition () const
IntSize | getSize () const
const IntCoord & | getCoord () const
const IntPoint & | getAbsolutePosition () const
IntRect | getAbsoluteRect () const
IntCoord | getAbsoluteCoord () const
int | getAbsoluteLeft () const
int | getAbsoluteTop () const
int | getLeft () const
int | getRight () const
int | getTop () const
int | getBottom () const
int | getWidth () const
int | getHeight () const
bool | _isMargin () const
int | _getViewLeft () const
int | _getViewRight () const
int | _getViewTop () const
int | _getViewBottom () const
int | _getViewWidth () const
int | _getViewHeight () const
void | _setCroppedParent (ICroppedRectangle *_parent)
const IntRect & | _getMargin () const
int | _getMarginLeft () const
int | _getMarginRight () const
int | _getMarginTop () const
int | _getMarginBottom () const
Public Member Functions inherited from MyGUI::UserData
virtual | ~UserData ()=default
void | setUserString (std::string_view _key, std::string_view _value)
std::string_view | getUserString (std::string_view _key) const
const MapString & | getUserStrings () const
bool | clearUserString (std::string_view _key)
bool | isUserString (std::string_view _key) const
void | clearUserStrings ()
void | setUserData (Any _data)
template<typename ValueType>
ValueType * | getUserData (bool _throw=true) const
void | _setInternalData (Any _data)
template<typename ValueType>
ValueType * | _getInternalData (bool _throw=true) const
Public Member Functions inherited from MyGUI::WidgetInput
virtual | ~WidgetInput ()=default
void | setNeedToolTip (bool _value)
bool | getNeedToolTip () const
void | setPointer (std::string_view _value)
const std::string & | getPointer () const
void | setNeedKeyFocus (bool _value)
bool | getNeedKeyFocus () const
void | setNeedMouseFocus (bool _value)
bool | getNeedMouseFocus () const
void | setInheritsPick (bool _value)
bool | getInheritsPick () const
void | setMaskPick (const std::string &_filename)
void | setMaskPick (const MaskPickInfo &_info)
bool | isMaskPickInside (const IntPoint &_point, const IntCoord &_coord) const
bool | getRootMouseFocus () const
bool | getRootKeyFocus () const
void | _riseMouseLostFocus (Widget *_new)
void | _riseMouseSetFocus (Widget *_old)
void | _riseMouseDrag (int _left, int _top, MouseButton _id)
void | _riseMouseMove (int _left, int _top)
void | _riseMouseWheel (int _rel)
void | _riseMouseButtonPressed (int _left, int _top, MouseButton _id)
void | _riseMouseButtonReleased (int _left, int _top, MouseButton _id)
void | _riseMouseButtonClick ()
void | _riseMouseButtonDoubleClick ()
void | _riseKeyLostFocus (Widget *_new)
void | _riseKeySetFocus (Widget *_old)
void | _riseKeyButtonPressed (KeyCode _key, Char _char)
void | _riseKeyButtonReleased (KeyCode _key)
void | _riseMouseChangeRootFocus (bool _focus)
void | _riseKeyChangeRootFocus (bool _focus)
void | _setRootMouseFocus (bool _value)
void | _setRootKeyFocus (bool _value)
Public Member Functions inherited from MyGUI::delegates::IDelegateUnlink
virtual | ~IDelegateUnlink ()=default
| IDelegateUnlink ()
bool | compare (IDelegateUnlink *_unlink) const
Public Member Functions inherited from MyGUI::SkinItem
ISubWidgetText * | getSubWidgetText () const
ISubWidgetRect * | getSubWidgetMain () const
void | _setTextureName (std::string_view _texture)
const std::string & | _getTextureName () const
Public Member Functions inherited from MyGUI::LayerItem
ILayer * | getLayer () const
ILayerNode * | getLayerNode () const
void | attachItemToNode (ILayer *_layer, ILayerNode *_node) override
void | detachFromLayer () override
void | upLayerItem () override
void | setRenderItemTexture (ITexture *_texture)
void | addChildItem (LayerItem *_item)
void | removeChildItem (LayerItem *_item)
void | addChildNode (LayerItem *_item)
void | removeChildNode (LayerItem *_item)
void | addRenderItem (ISubWidget *_item)
void | removeAllRenderItems ()
void | saveLayerItem ()
void | restoreLayerItem ()
Public Member Functions inherited from MyGUI::ILayerItem
virtual | ~ILayerItem ()=default
Public Member Functions inherited from MyGUI::MemberObsolete< Widget >
bool | isEnabled ()
bool | isInheritsAlpha ()
bool | isNeedKeyFocus ()
bool | isNeedMouseFocus ()
bool | isInheritsPick ()
bool | isVisible ()
Public Member Functions inherited from MyGUI::MemberObsolete< ScrollView >
void | showVScroll (bool _visible)
bool | isShowVScroll ()
void | showHScroll (bool _visible)
bool | isShowHScroll ()

## Static Public Member Functions

static std::string_view | getClassTypeName ()
Static Public Member Functions inherited from MyGUI::Widget
static std::string_view | getClassTypeName ()
Static Public Member Functions inherited from MyGUI::IObject
static std::string_view | getClassTypeName ()

## Protected Member Functions

void | initialiseOverride () override
void | shutdownOverride () override
void | notifyScrollChangePosition (ScrollBar *_sender, size_t _position)
void | notifyMouseWheel (Widget *_sender, int _rel)
void | updateView ()
void | setPropertyOverride (std::string_view _key, std::string_view _value) override
ScrollBar * | getVScroll () const
Protected Member Functions inherited from MyGUI::Widget
| ~Widget () override=default
void | _updateView ()
Widget * | baseCreateWidget (WidgetStyle _style, std::string_view _type, std::string_view _skin, const IntCoord &_coord, Align _align, std::string_view _layer, std::string_view _name, bool _template)
void | _destroyAllChildWidget ()
virtual size_t | _getContainerIndex (const IntPoint &_point) const
virtual void | baseUpdateEnable ()
ILayerItem * | getLayerItemByPoint (int _left, int _top) const override
const IntCoord & | getLayerItemCoord () const override
template<typename T>
void | assignWidget (T *&_widget, std::string_view _name)
VectorWidgetPtr | getSkinWidgetsByName (std::string_view _name) const
virtual void | onWidgetCreated (Widget *_widget)
virtual void | onWidgetDestroy (Widget *_widget)
void | setWidgetClient (Widget *_widget)
Widget * | _getClientWidget ()
| If there is client widget return it, otherwise return this.
const Widget * | _getClientWidget () const
Protected Member Functions inherited from MyGUI::ICroppedRectangle
bool | _checkMargin ()
bool | _checkOutside () const
Protected Member Functions inherited from MyGUI::WidgetInput
virtual void | onMouseLostFocus (Widget *_new)
virtual void | onMouseSetFocus (Widget *_old)
virtual void | onMouseDrag (int _left, int _top, MouseButton _id)
virtual void | onMouseMove (int _left, int _top)
virtual void | onMouseWheel (int _rel)
virtual void | onMouseButtonPressed (int _left, int _top, MouseButton _id)
virtual void | onMouseButtonReleased (int _left, int _top, MouseButton _id)
virtual void | onMouseButtonClick ()
virtual void | onMouseButtonDoubleClick ()
virtual void | onKeyLostFocus (Widget *_new)
virtual void | onKeySetFocus (Widget *_old)
virtual void | onKeyButtonPressed (KeyCode _key, Char _char)
virtual void | onKeyButtonReleased (KeyCode _key)
virtual void | onMouseChangeRootFocus (bool _focus)
virtual void | onKeyChangeRootFocus (bool _focus)
Protected Member Functions inherited from MyGUI::SkinItem
void | _createSkinItem (ResourceSkin *_info)
void | _deleteSkinItem ()
void | _setSkinItemAlign (const IntSize &_size)
void | _setSkinItemVisible (bool _value)
void | _setSkinItemColour (const Colour &_value)
void | _setSkinItemAlpha (float _value)
void | _correctSkinItemView ()
void | _updateSkinItemView ()
bool | _setSkinItemState (std::string_view _state)
void | _setSubSkinVisible (bool _visible)
Protected Member Functions inherited from MyGUI::LayerItem
void | attachToLayerItemNode (ILayerNode *_item, bool _deep)
void | detachFromLayerItemNode (bool _deep)
Protected Member Functions inherited from MyGUI::ScrollViewBase
virtual | ~ScrollViewBase ()=default
void | updateScrollSize ()
void | updateScrollPosition ()
virtual void | eraseContent ()
Protected Member Functions inherited from MyGUI::MemberObsolete< ScrollView >
void | showVScroll (bool _visible)
bool | isShowVScroll ()
void | showHScroll (bool _visible)
bool | isShowHScroll ()

## Protected Attributes

Align | mContentAlign
Protected Attributes inherited from MyGUI::ICroppedRectangle
IntRect | mMargin
IntCoord | mCoord
IntPoint | mAbsolutePosition
bool | mIsMargin {false}
ICroppedRectangle * | mCroppedParent {nullptr}
Protected Attributes inherited from MyGUI::ScrollViewBase
ScrollBar * | mVScroll {nullptr}
ScrollBar * | mHScroll {nullptr}
Widget * | mScrollViewClient {nullptr}
bool | mVisibleHScroll {true}
bool | mVisibleVScroll {true}
size_t | mVRange {0}
size_t | mHRange {0}
bool | mChangeContentByResize {false}

## Additional Inherited Members

Data Fields inherited from MyGUI::Widget
EventHandle_WidgetStringString | eventChangeProperty
EventHandle_WidgetVoid | eventChangeCoord
EventHandle_WidgetVoid | eventWidgetDestroyed
Data Fields inherited from MyGUI::WidgetInput
EventHandle_WidgetWidget | eventMouseLostFocus
EventHandle_WidgetWidget | eventMouseSetFocus
EventPairAddParameter< EventHandle_WidgetIntInt, EventHandle_WidgetIntIntButton > | eventMouseDrag
EventHandle_WidgetIntInt | eventMouseMove
EventHandle_WidgetInt | eventMouseWheel
EventHandle_WidgetIntIntButton | eventMouseButtonPressed
EventHandle_WidgetIntIntButton | eventMouseButtonReleased
EventHandle_WidgetVoid | eventMouseButtonClick
EventHandle_WidgetVoid | eventMouseButtonDoubleClick
EventHandle_WidgetWidget | eventKeyLostFocus
EventHandle_WidgetWidget | eventKeySetFocus
EventHandle_WidgetKeyCodeChar | eventKeyButtonPressed
EventHandle_WidgetKeyCode | eventKeyButtonReleased
EventHandle_WidgetBool | eventRootMouseChangeFocus
EventHandle_WidgetBool | eventRootKeyChangeFocus
EventHandle_WidgetToolTip | eventToolTip

## Detailed Description

widget description should be here.

Definition at line 20 of file MyGUI_ScrollView.h.

## Member Typedef Documentation

## Base

typedef RTTIBase MyGUI::ScrollView::Base

Definition at line 22 of file MyGUI_ScrollView.h.

## RTTIBase

typedef ScrollView MyGUI::ScrollView::RTTIBase

Definition at line 22 of file MyGUI_ScrollView.h.

## Constructor & Destructor Documentation

## ScrollView()

MyGUI::ScrollView::ScrollView | ( |  | ) |

Definition at line 19 of file MyGUI_ScrollView.cpp.

## Member Function Documentation

## getCanvasAlign()

Align MyGUI::ScrollView::getCanvasAlign | ( |  | ) | const

Get canvas align

Definition at line 258 of file MyGUI_ScrollView.cpp.

## getCanvasSize()

IntSize MyGUI::ScrollView::getCanvasSize | ( |  | ) | const

Get canvas size

Definition at line 216 of file MyGUI_ScrollView.cpp.

## getClassTypeName()

std::string_view MyGUI::ScrollView::getClassTypeName | ( |  | ) |

inline static

Definition at line 22 of file MyGUI_ScrollView.h.

## getTypeName()

virtual std::string_view MyGUI::ScrollView::getTypeName | ( |  | ) | const

inline override virtual

Get type name as string

Reimplemented from MyGUI::Widget.

Definition at line 22 of file MyGUI_ScrollView.h.

## getViewCoord()

IntCoord MyGUI::ScrollView::getViewCoord | ( |  | ) | const

Get view area coordinates.

Definition at line 316 of file MyGUI_ScrollView.cpp.

## getViewOffset()

IntPoint MyGUI::ScrollView::getViewOffset | ( |  | ) | const

Get view area offset.

Definition at line 311 of file MyGUI_ScrollView.cpp.

## getVScroll()

ScrollBar * MyGUI::ScrollView::getVScroll | ( |  | ) | const

protected

Definition at line 321 of file MyGUI_ScrollView.cpp.

## initialiseOverride()

void MyGUI::ScrollView::initialiseOverride | ( |  | ) |

override protected virtual

Reimplemented from MyGUI::Widget.

Definition at line 25 of file MyGUI_ScrollView.cpp.

## isType() [1/2]

template<typename Type>

bool MyGUI::ScrollView::isType | ( |  | ) | const

inline

Compare with selected type

Definition at line 22 of file MyGUI_ScrollView.h.

## isType() [2/2]

virtual bool MyGUI::ScrollView::isType | ( | const std::type_info & | _type | ) | const

inline override virtual

Compare with selected type

Reimplemented from MyGUI::Widget.

Definition at line 22 of file MyGUI_ScrollView.h.

## isVisibleHScroll()

bool MyGUI::ScrollView::isVisibleHScroll | ( |  | ) | const

Get Show HScroll flag

Definition at line 253 of file MyGUI_ScrollView.cpp.

## isVisibleVScroll()

bool MyGUI::ScrollView::isVisibleVScroll | ( |  | ) | const

Get Show VScroll flag

Definition at line 248 of file MyGUI_ScrollView.cpp.

## notifyMouseWheel()

void MyGUI::ScrollView::notifyMouseWheel | ( | Widget * | _sender,
|  | int | _rel )

protected

Definition at line 104 of file MyGUI_ScrollView.cpp.

## notifyScrollChangePosition()

void MyGUI::ScrollView::notifyScrollChangePosition | ( | ScrollBar * | _sender,
|  | size_t | _position )

protected

Definition at line 88 of file MyGUI_ScrollView.cpp.

## setCanvasAlign()

void MyGUI::ScrollView::setCanvasAlign | ( | Align | _value | ) |

Set canvas align

Definition at line 204 of file MyGUI_ScrollView.cpp.

## setCanvasSize() [1/2]

void MyGUI::ScrollView::setCanvasSize | ( | const IntSize & | _value | ) |

Set canvas size

Definition at line 210 of file MyGUI_ScrollView.cpp.

## setCanvasSize() [2/2]

void MyGUI::ScrollView::setCanvasSize | ( | int | _width,
|  | int | _height )

Set canvas size

Definition at line 263 of file MyGUI_ScrollView.cpp.

## setCoord() [1/2]

void MyGUI::ScrollView::setCoord | ( | const IntCoord & | _coord | ) |

override virtual

Set widget position and size

Reimplemented from MyGUI::ICroppedRectangle.

Definition at line 81 of file MyGUI_ScrollView.cpp.

## setCoord() [2/2]

void MyGUI::Widget::setCoord | ( | int | _left,
|  | int | _top,
|  | int | _width,
|  | int | _height )

See Widget::setCoord(const IntCoord& _coord)

Definition at line 179 of file MyGUI_Widget.cpp.

## setPosition() [1/2]

void MyGUI::ScrollView::setPosition | ( | const IntPoint & | _point | ) |

override virtual

Set widget position (position of left top corner)

Reimplemented from MyGUI::ICroppedRectangle.

Definition at line 69 of file MyGUI_ScrollView.cpp.

## setPosition() [2/2]

void MyGUI::Widget::setPosition | ( | int | _left,
|  | int | _top )

See Widget::setPosition(const IntPoint& _pos)

Definition at line 175 of file MyGUI_Widget.cpp.

## setPropertyOverride()

void MyGUI::ScrollView::setPropertyOverride | ( | std::string_view | _key,
|  | std::string_view | _value )

override protected virtual

Reimplemented from MyGUI::Widget.

Definition at line 221 of file MyGUI_ScrollView.cpp.

## setSize() [1/2]

void MyGUI::ScrollView::setSize | ( | const IntSize & | _size | ) |

override virtual

Set widget size

Reimplemented from MyGUI::ICroppedRectangle.

Definition at line 74 of file MyGUI_ScrollView.cpp.

## setSize() [2/2]

void MyGUI::Widget::setSize | ( | int | _width,
|  | int | _height )

See Widget::setSize(const IntSize& _size)

Definition at line 177 of file MyGUI_Widget.cpp.

## setViewOffset()

void MyGUI::ScrollView::setViewOffset | ( | const IntPoint & | _value | ) |

Set view area offset.

Definition at line 273 of file MyGUI_ScrollView.cpp.

## setVisibleHScroll()

void MyGUI::ScrollView::setVisibleHScroll | ( | bool | _value | ) |

Show HScroll when content size larger than view

Definition at line 198 of file MyGUI_ScrollView.cpp.

## setVisibleVScroll()

void MyGUI::ScrollView::setVisibleVScroll | ( | bool | _value | ) |

Show VScroll when content size larger than view

Definition at line 192 of file MyGUI_ScrollView.cpp.

## shutdownOverride()

void MyGUI::ScrollView::shutdownOverride | ( |  | ) |

override protected virtual

Reimplemented from MyGUI::Widget.

Definition at line 60 of file MyGUI_ScrollView.cpp.

## updateView()

void MyGUI::ScrollView::updateView | ( |  | ) |

protected

Definition at line 186 of file MyGUI_ScrollView.cpp.

## Field Documentation

## mContentAlign

Align MyGUI::ScrollView::mContentAlign

protected

Definition at line 96 of file MyGUI_ScrollView.h.

The documentation for this class was generated from the following files:

- MyGUI_ScrollView.h
- MyGUI_ScrollView.cpp